---
title: Touch.rotationAngle
slug: Web/API/Touch/rotationAngle
tags:
  - API
  - DOM
  - Experimental
  - Mobile
  - Property
  - touch
---
<p>{{ APIRef("Touch Events") }}</p>

<h2 id="Summary">Summary</h2>

<p>Returns the rotation angle, in degrees, of the contact area ellipse defined by {{ domxref("Touch.radiusX") }} and {{ domxref("Touch.radiusY") }}. The value may be between 0 and 90. Together, these three values describe an ellipse that approximates the size and shape of the area of contact between the user and the screen. This may be a relatively large ellipse representing the contact between a fingertip and the screen or a small area representing the tip of a stylus, for example.</p>

<div class="note">
<p><strong>Note:</strong> This attribute has <em>not</em> been formally standardized. It is specified in the {{SpecName('Touch Events 2')}} {{Spec2('Touch Events 2')}} specification and not in {{SpecName('Touch Events')}} {{Spec2('Touch Events')}}. This attribute is not widely implemented.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="eval">var <em>angle</em> = <em>touchItem</em>.rotationAngle;
</pre>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt><code>angle</code></dt>
 <dd>The number of degrees of rotation to apply to the described ellipse to align with the contact area between the user and the touch surface.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>The <a href="/en-US/docs/Web/API/Touch/radiusX#Example">Touch.radiusX example</a> includes an example of this property's usage.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Touch Events 2','#dom-touch-rotationangle')}}</td>
   <td>{{Spec2('Touch Events 2')}}</td>
   <td>Non-stable version.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Touch.rotationAngle")}}</p>
